<script>
    import TestCaseOverview from '../../../Components/TestCaseOverview.svelte';
    import UserOverview from '../../../Components/UserOverview.svelte';
    import userArray from '../../../data/userArray.json';
</script>

<h1>Component: UserOverview</h1>
<p>
    A component that can be situated at the top of a User Page to identify and give an overview of
    the user. Renders account information retrieved from the blockchain.
</p>

{#each userArray.users as test_vector, index}
    <TestCaseOverview test_case={test_vector} />
    {#each test_vector.mock_data as mock}
        <UserOverview account_full={mock.account_full} />
    {/each}
{/each}

<style>
    h1 {
        font-size: 2.5em;
        margin-bottom: 0.1em;
    }
    h2 {
        font-size: 1.5em;
    }
    .testcase {
        background-color: LightGray;
        padding-left: 1em;
        padding-top: 0.5em;
        padding-bottom: 0.5em;
        margin-top: 1em;
        margin-bottom: 1em;
    }
</style>
